/*
=============================================
Author      : <ยุทธภูมิ ตวันนา>
Create date : <๒๙/๑๐/๒๕๖๒>
Modify date : <๐๗/๐๖/๒๕๖๕>
Description : <>
=============================================
*/

@import "~@ng-select/ng-select/themes/default.theme.css";
@import "assets/style/util.scss";

@mixin project-card-horizontal-fixed(
    $class,
    $width-fixed
) {
    .project-card-horizontal#{$class} .project-body {
        display: table !important;
        table-layout: fixed;
        width: 100%;
    }

    .project-card-horizontal#{$class} .project-body .col-sm-3 {
        display: table-cell !important;
        vertical-align: top;
        width: $width-fixed !important;
        max-width: $width-fixed !important;
    }

    .project-card-horizontal#{$class} .project-body .col-sm-9,
    .project-card-horizontal#{$class} .project-body .col-sm-12 {
        display: table-cell !important;
        vertical-align: top;
        width: auto !important;
        max-width: 100% !important;
    }
}

@mixin project-card-image-fixed($class) {
    @include project-card-horizontal-fixed(":not(.on-modal)", 50px);

    #{$class} .title-info {
        margin-top: 0.7rem;
    }

    #{$class} .title-info .hide {
        display: none;
    }

    #{$class} .title-info .embed-responsive-16by9::before {
        padding-top: 100%;
    }

    #{$class} .title-info .project-card-img {
        border-radius: 50% !important;
    }

    #{$class} .title-info .project-logo .enlarge {
        bottom: 0;
        right: 0;
        top: 28%;
        left: 35%;
    }

    #{$class} .project-card-horizontal .project-body .col-sm-9 {
        padding-left: 8px;
    }

    #{$class} .project-body .hide {
        display: none !important;
    }

    #{$class} .project-body .d-block.wrap.wrap-step1 {
        display: block !important;
    }
}

.project-card-horizontal .project-body .col-sm-9,
.project-card-horizontal .project-body .col-sm-12 {
    padding-left: 31px;
}

.project-card-img {
    border-bottom-right-radius: 1rem !important;
    border-bottom-left-radius: 1rem !important;
}

.project-registration-status i {
    position: relative;
    top: 1px;
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .project-registration-status i {
        top: 2px;
    }
}

.project-btn-badge {
    line-height: 1.4 !important;
    padding-right: 1rem !important;
    padding-left: 1rem !important;
    vertical-align: top !important;
}

.project-openonlyfor-info {
    font-size: 0.85rem !important;
    line-height: 1.7;
}

.project-openonlyfor-info .usertype .usertype-property {
    margin-top: 0.125rem;
    margin-left: 11px;
}

.project-dropdown .btn-contact-info {
    margin-top: 0;
    padding-right: 0;
    padding-left: 0;
    width: 24px;
    height: 24px;
    line-height: 0;
    position: relative;
}

.project-dropdown .btn-contact-info i {
    top: 3px;
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .project-dropdown .btn-contact-info i {
        top: 4px;
    }
}

.project-dropdown .dropdown-toggle::after {
    border: 0;
    margin-left: 0;
}

.project-dropdown .dropdown-menu.contact-info {
    width: 260px;
    min-width: 260px;
    line-height: 1.5 !important;
}

.project-card-vertical .project-dropdown .dropdown-menu.show.contact-info {
    top: 24px !important;
    left: -226px !important;
    transform: translate(0, 0) !important;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .project-dropdown .dropdown-menu.show.contact-info {
        top: 26px !important;
        left: 10px !important;
    }

    ::i-block-chrome,
    .project-card-vertical .project-dropdown .dropdown-menu.show.contact-info {
        left: -226px !important;
    }
}

.project-text-line-clamp::after {
    background-color: #ffffff;
}

.project-title-info .project-logo .enlarge {
    position: absolute;
    bottom: 5px;
    right: 10px;
}

.project-title-info .card-title .float-right {
    width: 34px !important;
}

.project-aboutresult-info .badge-projectabout {
    width: 70px;
    vertical-align: top !important;
}

.project-aboutresult-info .badge-registeredlocationidnoseatno {
    width: 210px;
    vertical-align: top !important;
}

.project-aboutresult-info .badge-examscore {
    width: 70px;
    vertical-align: top !important;
}

.project-aboutresult-info .badge-schedule {
    width: 90px;
    vertical-align: top !important;
}

.project-aboutresult-info .badge-sectionschedule {
    width: 150px;
    vertical-align: top !important;
}

.project-aboutresult-info .badge-studyresultstranscript {
    width: 190px;
    vertical-align: top !important;
}

.project-aboutresult-info #projectAbout .project-register-info .form-group .col-form-label {
    width: 55px;
}

.project-register-info .form .form-group .col-form-label {
    width: 161px;
}

.project-register-info .d-table .col-icon {
    width: 26px;
}

.project-register-info .d-table.size-s .col-icon {
    width: 23px;
}

.project-register-info .d-table.size-l .col-icon {
    width: 32px;
}

.project-register-info .d-table.calendar-date {
    table-layout: fixed !important;
    position: relative;
}

.project-register-info .d-table.size-l.calendar-date {
    top: 3px;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .project-register-info .d-table.size-l.calendar-date {
        top: 4px;
    }
}

.project-register-info .d-table.calendar-date .col-calendar {
    width: 156px;
}

.project-register-info .d-table.size-s.calendar-date .col-calendar {
    width: 146px;
}

.project-register-info .d-table.calendar-date .col-clock span {
    position: relative;
}

.project-register-info .d-table:not(.size-l).calendar-date .col-clock span {
    top: -1px;
}

@media screen and (min--moz-device-pixel-ratio: 0) {
    .project-register-info .d-table.size-l.calendar-date .col-clock span {
        top: -1px;
    }
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .project-register-info .d-table.size-l.calendar-date .col-clock span {
        top: -2px;
    }
}

.project-register-info .d-table .isuse-privilege {
    height: 17px;
}

.project-contact-info .form .form-group .col-form-label,
.project-menu-info .form .form-group .col-form-label {
    width: 15px !important;
}

.project-contact-info .form .form-group .col-form-label::after,
.project-menu-info .form .form-group .col-form-label::after {
    float: none !important;
    content: "" !important;
    margin-left: 0 !important;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .project-contact-info .form .form-group .col-form-label,
    .project-menu-info .form .form-group .col-form-label,
    .project-contact-info .form .form-group .col,
    .project-menu-info .form .form-group .col {
        display: table-cell;
    }
}

.project-contact-info .form .form-group .col {
    word-break: break-all;
}

.project-registered-btn {
    display: table;
    width: 215px;
    height: 50px;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .project-registered-btn {
        height: 34px;
    }
}

.project-registered-btn .btn {
    display: table-cell !important;
    width: inherit;
    height: inherit;
    vertical-align: middle;
    border-top-left-radius: 0;
    border-top-right-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0;
}

.project-location-info .table tbody:last-child td,
.project-section-info .table tbody:last-child td {
    padding-bottom: 0;
    border-bottom: 0;
}

.project-location-info .table .col-seattotal {
    width: 270px;
    min-width: 270px;
}

.project-location-info .table .col-seatavailable {
    width: 258px;
    min-width: 258px;
}

.project-location-info.exam-online .table .col-seattotal {
    width: 248px;
    min-width: 248px;
}

.project-location-info.exam-online .table .col-seatavailable {
    width: 238px;
    min-width: 238px;
}

.project-location-info .table .col-seat,
.project-section-info .table .col-seat {
    width: 280px;
}

.project-section-info .table .col-seattotal {
    width: 284px;
    min-width: 284px;
}

.project-section-info .table .col-seatavailable {
    width: 272px;
    min-width: 272px;
}
/*
.project-location-info .location-building-seat-info .form .form-group:last-child .col span:last-child,
.project-section-info .section-teachingtype-seat-info .form .form-group:last-child .col span:last-child {
    position: relative;
    top: -5px;
}
*/
@media screen and (max-width: 800px) {
    @include project-card-horizontal-fixed(":not(.on-modal)", 189px);
    @include project-card-horizontal-fixed(".on-modal", 162px);
}

.project-fee-info .table .col-amount,
.project-fee-info .table .col-total-amount {
    width: 150px;
    min-width: 150px;
}

.project-fee-info #deliaddress-form .col-form-label {
    width: 150px;
}

.project-fee-info #deliaddress-form .form:not(.horizontal-form) .col-form-label {
    width: 189px;
}

.project-fee-info #deliaddress-form textarea {
    min-height: 52px;
}

.project-seatamount-info ngb-progressbar .progress {
    background-color: rgba(204, 204, 204, 0.5);
    border-radius: 50rem;
}

.project-seatamount-info .seatamount {
    margin-top: 0.125rem;
}

.project-seatamount-info .seatamount .d-table-cell:first-child {
    width: 55%;
}

.card.qrcode-payment {
    width: 280px;
    border-radius: 0.75rem !important;
    border-color: #ffffff;
}

.card.qrcode-payment .card-header {
    background: #113566;
    height: 48px;
    padding: 0;
    border-bottom: 0;
}

.card.qrcode-payment .card-header:first-child,
.card.qrcode-payment .card-header img {
    border-radius: 0.75rem 0.75rem 0 0;
}

.card.qrcode-payment .card-header img,
.card.qrcode-payment .card-footer .btn {
    width: 100%;
}

.card.qrcode-payment .card-body {
    background: #ffffff;
    padding: 1rem !important;
    padding-bottom: 0.5rem !important;
}

.card.qrcode-payment .card-body .form .form-group .col-form-label {
    width: 80px;
}

.card.qrcode-payment .card-body .form .form-group .col-form-label::after,
.card.qrcode-payment .card-body .form .form-group .col-form-label::after {
    float: none !important;
    content: "" !important;
    margin-left: 0 !important;
}

.card.qrcode-payment .card-footer {
    padding: 0;
    border-top: 0;
}

.card.qrcode-payment .card-footer:last-child,
.card.qrcode-payment .card-footer .btn {
    border-radius: 0 0 0.75rem 0.75rem;
}

.card.qrcode-payment .card-footer .btn {
    min-width: 0 !important;
}

.card.qrcode-payment .card-footer .btn i {
    margin-right: 5px;
}

.hidden {
    display: none;
}

#unsupported-page.page-container {
    width: 100%;
    text-align: center;
    padding: 1rem 1rem;
}

#unsupported-page.page-container .page-header {
    height: auto !important;
    font-size: 1.75rem;
    font-weight: 500;
    text-align: center;
    margin-bottom: 1rem;
}

#unsupported-page.page-container .page-body {
    line-height: 1.6;
    font-size: 1.1rem;
    color: #6C757D;
}

#unsupported-page.page-container .page-body strong {
    font-weight: 400;
    color: #000000;
}
